# Uses of Class
org.eclipse.compare.patch.ReaderCreator

Packages that use ReaderCreator
Package
Description
org.eclipse.compare.patch
Provides support for applying and working with patches.

## Uses of ReaderCreator in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch with parameters of type ReaderCreator
Modifier and Type
Method
Description
`IFilePatchResult`
IFilePatch2.`apply(ReaderCreator content, PatchConfiguration configuration, IProgressMonitor monitor)`
Apply this patch to the given contents.
`static IFilePatch2[]`
PatchParser.`parsePatch(ReaderCreator content)`
Parse the given patch and return the set of file patches that it contains.